PlanDocket

Custom Fields

Business+

Manage custom field values.

Required scopes: custom_fields
Access level: GET custom_fields:read POST / PUT / PATCH / DELETE custom_fields:write About access levels

Endpoints

GET /api/v1/custom-fields/definitions

List all custom fields

GET /api/v1/custom-fields/{entity_type}/{entity_id}

Get field values for entity

PUT /api/v1/custom-fields/{entity_type}/{entity_id}

Update field values

Query Parameters

Parameter Description
entity_type Filter definitions by entity type
is_active Filter definitions by active status (0 or 1)

Request Schema

Parameter Type Required Description
{field_key} mixed No Value for the custom field, identified by field key. The type depends on the field type (text, number, date, etc.).

Response Schema

Field Type
id integer
form_id integer|null
entity_type string
field_key string
field_label string
field_type string
section_key string|null
field_options string|null
validation_rules string|null
is_required boolean
is_searchable boolean
applicant_visibility string
is_active boolean
display_order integer

Code Examples

curl -X GET "https://your-tenant.plandocket.com/api/v1/custom-fields/definitions?entity_type=contact" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://your-tenant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/custom-fields/definitions?entity_type=contact',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://your-tenant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/custom-fields/definitions?entity_type=contact`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://your-tenant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/custom-fields/definitions?entity_type=contact', headers=headers)
data = response.json()
print(data)

Sample Response

200 OK
{
    "data": [
        {
            "id": 1,
            "form_id": 1,
            "entity_type": "string",
            "field_key": "string",
            "field_label": "string",
            "field_type": "string",
            "section_key": "string",
            "field_options": "string",
            "validation_rules": "string",
            "is_required": true,
            "is_searchable": true,
            "applicant_visibility": "string",
            "is_active": true,
            "display_order": 1
        }
    ]
}